require "activeresource"
require "activeresource-response"

require "easy/resources/railtie"
require "rexml"
require "rexml/document"

module Easy

  autoload :Resource, "easy/resource"

  module Resources
    module Redmine

      autoload :Errors, "easy/resources/redmine/errors"

      autoload :CustomField, "easy/resources/redmine/custom_field"
      autoload :RedmineBase, "easy/resources/redmine/redmine_base"
      autoload :EasyAttendance, "easy/resources/redmine/easy_attendance"
      autoload :EasyContact, "easy/resources/redmine/easy_contact"
      autoload :EasyCrmCase, "easy/resources/redmine/easy_crm_case"
      autoload :EasyServer, "easy/resources/redmine/easy_server"
      autoload :EasyWebApplication, "easy/resources/redmine/easy_web_application"
      autoload :EasyWebApplicationActivity, "easy/resources/redmine/easy_web_application_activity"
      autoload :EasyWebHook, "easy/resources/redmine/easy_web_hook"
      autoload :Issue, "easy/resources/redmine/issue"
      autoload :Project, "easy/resources/redmine/project"
      autoload :User, "easy/resources/redmine/user"
      autoload :TimeEntry, "easy/resources/redmine/time_entry"

    end
  end

end
