module Easy
  module Resources
    module Redmine
      class EasyCrmCase < RedmineBase
        self.element_name = 'easy_crm_case'

        belongs_to :project, class_name: 'Easy::Resources::Redmine::Project'
        belongs_to :main_easy_contact, class_name: 'Easy::Resources::Redmine::EasyContact'

        # Alias for main_contact
        # @return [Easy::Resources::Redmine::EasyContact]
        def customer
          main_easy_contact
        end

      end
    end
  end
end
